### File

`packages/components/eui-timepicker/models/eui-date-time-picker.config.model.ts`

### Description

Configuration interface for the EUI DateTime Picker component. Defines the structure and behavior settings for the datetime picker.

### Index

###### Properties
callbackFn hasSeconds hours isDatetimepicker Optional isDisabled isOneInputField mins Optional secs stepHours stepMinutes stepSeconds

### Properties

callbackFn
`callbackFn: `function``
Type : `function`
Callback function triggered when time value changes

hasSeconds
`hasSeconds: `boolean``
Type : `boolean`
Controls whether seconds selection is enabled

hours
`hours: `number``
Type : `number`
Initial hours value (0-23)

isDatetimepicker
`isDatetimepicker: `boolean``
Type : `boolean`
Indicates if the component is used as a datetime picker

isDisabled
`isDisabled: `boolean``
Type : `boolean`
Optional
Controls whether the timepicker buttons are disabled

isOneInputField
`isOneInputField: `boolean``
Type : `boolean`
When true, displays a single input field for time entry instead of separate inputs

mins
`mins: `number``
Type : `number`
Initial minutes value (0-59)

secs
`secs: `number``
Type : `number`
Optional
Optional initial seconds value (0-59)

stepHours
`stepHours: `number``
Type : `number`
Step interval for hours increment/decrement

stepMinutes
`stepMinutes: `number``
Type : `number`
Step interval for minutes increment/decrement

stepSeconds
`stepSeconds: `number``
Type : `number`
Step interval for seconds increment/decrement

# results matching ""

# No results matching ""